< Back


# Packages

-  package root
  Definition Classes
    root
-  package uritemplate
  Definition Classes
    root
- Allow
- AssociativeVar
- CanBeVar
- CanBeVars
- Encoded
- Expansion
- Explode
- Expression
- Fragment
- Label
- Lit
- LowerPriorityCanBeVars
- Modifier
- PathParameter
- PathSegment
- Prefix
- Query
- QueryContinuation
- Reserved
- SequentialVar
- Simple
- Syntax
- URITemplate
- URITemplateParser
- Unencoded
- Var
- VarSpec
- Variable

c

uritemplate

# Expression

###
Companion object Expression

#### sealed abstract class Expression extends Expansion

Linear Supertypes
Expansion, AnyRef, Any
Known Subclasses
Fragment, Label, PathParameter, PathSegment, Query, QueryContinuation, Reserved, Simple

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Expression
2. Expansion
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def variableList: List[VarSpec]

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def expand(variables: Map[String, Option[Variable]]): String
   Definition Classes
     Expression → Expansion
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Expansion

### Inherited from AnyRef

### Inherited from Any

### Ungrouped